# bzr – Deploy software (or files) from bzr branches

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Manage bzr branches to deploy files or software.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
dest - / required |  | Absolute path of where the branch should be cloned to.
executable - |  | Path to bzr executable to use. If not supplied, the normal mechanism for resolving binary paths will be used.

force
boolean

Choices:
- no ←
- yes

If `yes`, any modified files in the working tree will be discarded. Before 1.9 the default value was `yes`.

name - / required |  | SSH or HTTP protocol address of the parent branch. aliases: parent
version - | Default: "head" | What version of the branch to clone. This can be the bzr revno or revid.

## Examples

    # Example bzr checkout from Ansible Playbooks
    - bzr:
        name: bzr+ssh://foosball.example.org/path/to/branch
        dest: /srv/checkout
        version: 22

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- André Paramés (@andreparames)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.